// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_kittycity/kc_sky1
{
	qer_editorimage env/ut4_kittycity/nightsky_ft.tga
	
	skyparms env/ut4_kittycity/nightsky 512 -
	
	q3map_sunEXT 1 1 1 800 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 900 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

}

// ---=== kittywumpus ===---

textures/ut4_kittycity/kc_kitty1
{
	qer_editorimage textures/ut4_kittycity/kittywumpus1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_kittycity/kittywumpus1.tga
		blendFunc blend
	}
}

// ---=== fog/clouds ===---

textures/ut4_kittycity/kc__fog
{
	qer_editorimage textures/ut4_kittycity/clouds3.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0.5 0.5 0.5 ) 80
}

textures/ut4_kittycity/kc__fog2
{
	qer_editorimage textures/kittywumpus/lw_fogcaulk.jpg
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 0.5 0.5 0.7 ) 8192
	q3map_bouncescale 0
}

// ---=== No Damage ===---

textures/ut4_kittycity/kw_warncrete1:q3map
{
	surfaceparm nodamage
}

// ---=== Glass ===---

textures/ut4_kittycity/kc_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		map textures/ut4_kittycity/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_kittycity/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_kittycity/kc_glass_slk
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm nodamage
	cull none

	{
		map textures/ut4_kittycity/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_kittycity/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_kittycity/kc_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_nonsolid.tga
	qer_trans 0.9
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none

	{
		map textures/ut4_kittycity/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_kittycity/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

// ---=== Ladderclip ===---

textures/ut4_kittycity/kc_ladderclip
{
	qer_trans 0.40
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Light Emitting Textures ===---


textures/ut4_kittycity/e6basicstrip_blue
{
	qer_editorimage textures/ut4_kittycity/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_kittycity/e6basicstrip_blue.tga
	}
}

textures/ut4_kittycity/e6basicstrip_green
{
	qer_editorimage textures/ut4_kittycity/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_kittycity/e6basicstrip_green.tga
	}
}

textures/ut4_kittycity/e6basicstrip_orange
{
	qer_editorimage textures/ut4_kittycity/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_kittycity/e6basicstrip_orange.tga
	}
}

textures/ut4_kittycity/e6basicstrip_purple
{
	qer_editorimage textures/ut4_kittycity/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_kittycity/e6basicstrip_purple.tga
	}
}

textures/ut4_kittycity/e6basicstrip_red
{
	qer_editorimage textures/ut4_kittycity/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_kittycity/e6basicstrip_red.tga
	}
}

textures/ut4_kittycity/e6basicstrip_white
{
	qer_editorimage textures/ut4_kittycity/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_kittycity/e6basicstrip_white.tga
	}
}

textures/ut4_kittycity/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_kittycity/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_kittycity/e6basicstrip_yellow.tga
	}
}

textures/ut4_kittycity/e8warn2steplight
{
	qer_editorimage textures/ut4_kittycity/e8warn2steplight.tga
	q3map_lightimage textures/ut4_kittycity/e8warn2steplight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 50
	{
		map textures/ut4_kittycity/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_kittycity/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/ut4_kittycity/kc_kwbar2a
{
	qer_editorimage textures/ut4_kittycity/kw_bar2_amb.jpg
	q3map_lightimage textures/ut4_kittycity/kw_bar2_blendamb.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_kittycity/kw_bar2_amb.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kittycity/kw_bar2_blendamb.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kittycity/kc_kwbar2b
{
	qer_editorimage textures/ut4_kittycity/kw_bar2_blue.jpg
	q3map_lightimage textures/ut4_kittycity/kw_bar2_blendblue.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_kittycity/kw_bar2_blue.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kittycity/kw_bar2_blendblue.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kittycity/kc_kwbar2g
{
	qer_editorimage textures/ut4_kittycity/kw_bar2_green.jpg
	q3map_lightimage textures/ut4_kittycity/kw_bar2_blendgreen.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_kittycity/kw_bar2_green.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kittycity/kw_bar2_blendgreen.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kittycity/kc_kwbar2o
{
	qer_editorimage textures/ut4_kittycity/kw_bar2_orng.jpg
	q3map_lightimage textures/ut4_kittycity/kw_bar2_blendorng.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_kittycity/kw_bar2_orng.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kittycity/kw_bar2_blendorng.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kittycity/kc_kwbar2p
{
	qer_editorimage textures/ut4_kittycity/kw_bar2_purp.jpg
	q3map_lightimage textures/ut4_kittycity/kw_bar2_blendpurp.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_kittycity/kw_bar2_purp.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kittycity/kw_bar2_blendpurp.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kittycity/kc_kwbar2r
{
	qer_editorimage textures/ut4_kittycity/kw_bar2_red.jpg
	q3map_lightimage textures/ut4_kittycity/kw_bar2_blendred.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_kittycity/kw_bar2_red.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kittycity/kw_bar2_blendred.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kittycity/kc_kwbar2w
{
	qer_editorimage textures/ut4_kittycity/kw_bar2_white.jpg
	q3map_lightimage textures/ut4_kittycity/kw_bar2_blendw.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_kittycity/kw_bar2_white.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kittycity/kw_bar2_blendw.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kittycity/kc_lpatfla
{
	qer_editorimage textures/ut4_kittycity/kw_lpatfl_a.jpg
	q3map_lightimage textures/ut4_kittycity/kw_lpatfl_blenda.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_kittycity/kw_lpatfl_a.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kittycity/kw_lpatfl_blenda.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kittycity/kc_lpatflb
{
	qer_editorimage textures/ut4_kittycity/kw_lpatfl_b.jpg
	q3map_lightimage textures/ut4_kittycity/kw_lpatfl_blendb.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_kittycity/kw_lpatfl_b.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kittycity/kw_lpatfl_blendb.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kittycity/kc_lpatflg
{
	qer_editorimage textures/ut4_kittycity/kw_lpatfl_g.jpg
	q3map_lightimage textures/ut4_kittycity/kw_lpatfl_blendg.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_kittycity/kw_lpatfl_g.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kittycity/kw_lpatfl_blendg.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kittycity/kc_lpatflo
{
	qer_editorimage textures/ut4_kittycity/kw_lpatfl_o.jpg
	q3map_lightimage textures/ut4_kittycity/kw_lpatfl_blendo.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_kittycity/kw_lpatfl_o.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kittycity/kw_lpatfl_blendo.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kittycity/kc_lpatflp
{
	qer_editorimage textures/ut4_kittycity/kw_lpatfl_p.jpg
	q3map_lightimage textures/ut4_kittycity/kw_lpatfl_blendp.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_kittycity/kw_lpatfl_p.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kittycity/kw_lpatfl_blendp.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kittycity/kc_lpatflr
{
	qer_editorimage textures/ut4_kittycity/kw_lpatfl_r.jpg
	q3map_lightimage textures/ut4_kittycity/kw_lpatfl_blendr.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_kittycity/kw_lpatfl_r.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kittycity/kw_lpatfl_blendr.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kittycity/kc_lpatflw
{
	qer_editorimage textures/ut4_kittycity/kw_lpatfl_w.jpg
	q3map_lightimage textures/ut4_kittycity/kw_lpatfl_blendw.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_kittycity/kw_lpatfl_w.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kittycity/kw_lpatfl_blendw.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kittycity/kc_beam1
{
	qer_editorimage textures/ut4_kittycity/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut4_kittycity/beam_1.tga
                blendFunc add
		tcMod scroll -.0 -.8
        }
}

textures/ut4_kittycity/kc_beam2
{
	qer_editorimage textures/ut4_kittycity/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut4_kittycity/beam_1.tga
                blendFunc add
		tcMod scroll -.0 -.95
        }
}

textures/ut4_kittycity/kc_laser
{
	qer_editorimage textures/ut4_kittycity/laser_red1.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	q3map_surfacelight 300

	{
		animmap 12 textures/ut4_kittycity/laser_red1.jpg textures/ut4_kittycity/laser_red3.jpg textures/ut4_kittycity/laser_red1.jpg textures/ut4_kittycity/laser_red2.jpg textures/ut4_kittycity/laser_red4.jpg textures/ut4_kittycity/laser_red2.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Evil Shaders ===---

textures/ut4_kittycity/e1_light1
{
	qer_editorimage textures/ut4_kittycity/e1_light1.tga
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nonsolid

	{
		map textures/ut4_kittycity/e1_light1.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_kittycity/e1_light1_b.tga
		blendfunc add
	}
}

textures/ut4_kittycity/e5_panel128light
{
	qer_editorimage textures/ut4_kittycity/e5_panel128light.tga
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nonsolid

	{
		map textures/ut4_kittycity/e5_panel128light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_kittycity/e5_panel128light_blend.tga
		blendfunc add
	}
}

textures/ut4_kittycity/e6btrim_light
{
	qer_editorimage textures/ut4_kittycity/e6btrim_light.tga
	surfaceparm nomarks
	surfaceparm nodamage

	{
		map textures/ut4_kittycity/e6btrim_light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_kittycity/e6btrim_light_blend.tga
		blendfunc add
	}
}

textures/ut4_kittycity/e8warn2steplight
{
	qer_editorimage textures/ut4_kittycity/e8warn2steplight.tga
	q3map_lightimage textures/ut4_kittycity/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 50
	{
		map textures/ut4_kittycity/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_kittycity/e8warn2steplight.blend.tga
		blendfunc add
	}
}

// ---=== Facades ===---

textures/ut4_kittycity/kw_facade15b
{
	{	
		map textures/ut4_kittycity/kw_facade15b.tga
	}
	{
		map textures/ut4_kittycity/clouds3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.0100 0.00300
	}
	{
		map textures/ut4_kittycity/kw_facade15b.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut4_kittycity/kw_facade62
{
	{	
		map textures/ut4_kittycity/kw_facade62.tga
	}
	{
		map textures/ut4_kittycity/clouds3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.0100 0.00300
	}
	{
		map textures/ut4_kittycity/kw_facade62.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}